{
  "stats": {
    "suites": 1,
    "tests": 1,
    "passes": 1,
    "pending": 0,
    "failures": 0,
    "start": "2025-09-05T09:14:11.270Z",
    "end": "2025-09-05T09:14:27.652Z",
    "duration": 16382,
    "testsRegistered": 1,
    "passPercent": 100,
    "pendingPercent": 0,
    "other": 0,
    "hasOther": false,
    "skipped": 0,
    "hasSkipped": false
  },
  "results": [
    {
      "uuid": "04f6c402-c8d8-4920-a47f-1687e8f49da4",
      "title": "",
      "fullFile": "cypress/e2e/DC-TOM我的闭环.cy.js",
      "file": "cypress/e2e/DC-TOM我的闭环.cy.js",
      "beforeHooks": [],
      "afterHooks": [],
      "tests": [],
      "suites": [
        {
          "uuid": "1e49c589-4043-40ee-94b1-76a29300881d",
          "title": "template spec",
          "fullFile": "",
          "file": "",
          "beforeHooks": [],
          "afterHooks": [],
          "tests": [
            {
              "title": "DC-TOM我的闭环",
              "fullTitle": "template spec DC-TOM我的闭环",
              "timedOut": null,
              "duration": 16346,
              "state": "passed",
              "speed": "slow",
              "pass": true,
              "fail": false,
              "pending": false,
              "context": null,
              "code": "/* ==== Generated with Cypress Studio ==== */\ncy.visit('https://screen.bmetech.com/admin/dctom/#/login');\ncy.get('[data-testid=\"login-username-input\"]').clear('zongheng_admin');\ncy.get('[data-testid=\"login-username-input\"]').type('zongheng_admin');\ncy.get('[data-testid=\"login-password-input\"]').clear('9%#F46vt');\ncy.get('[data-testid=\"login-password-input\"]').type('9%#F46vt');\ncy.get('[data-testid=\"login-captcha-input\"]').clear('8');\ncy.get('[data-testid=\"login-captcha-input\"]').type('8888');\ncy.get('[data-testid=\"login-submit-button\"] > span').click();\ncy.get('[data-testid=\"menu-submenu-my-loop\"] > .el-sub-menu__title > span').click();\ncy.get('[data-testid=\"menu-item-my-loop/myAgency\"] > span').click();\ncy.get('[data-testid=\"my-agency-event-name-input\"]').clear('m');\ncy.get('[data-testid=\"my-agency-event-name-input\"]').type('脉冲阀');\ncy.get('[data-testid=\"my-agency-search-button\"]').click();\ncy.get('[data-testid=\"my-agency-reset-button\"] > span').click();\ncy.get('[data-testid=\"my-agency-keyword-input\"]').clear('2');\ncy.get('[data-testid=\"my-agency-keyword-input\"]').type('2#除尘系统');\ncy.get('[data-testid=\"my-agency-search-button\"] > span').click();\ncy.get('[data-testid=\"my-agency-reset-button\"] > span').click();\ncy.get('[data-testid=\"my-agency-production-line-select\"] > .el-select__wrapper > .el-select__selection > .el-select__placeholder').click();\ncy.get('[data-testid=\"production-line-option-169108\"] > span').click();\ncy.get('[data-testid=\"my-agency-search-button\"] > span').click();\ncy.get('[data-testid=\"my-agency-reset-button\"] > span').click();\ncy.get('[data-testid=\"my-agency-device-type-select\"] > .el-select__wrapper > .el-select__selection > .el-select__placeholder').click();\ncy.get('[data-testid=\"device-type-option-200001\"]').click();\ncy.get('[data-testid=\"my-agency-search-button\"] > span').click();\ncy.get('[data-testid=\"my-agency-device-type-select\"] > .el-select__wrapper > .el-select__selection > .el-select__placeholder').click();\ncy.get('[data-testid=\"device-type-option-200002\"]').click();\ncy.get('[data-testid=\"my-agency-search-button\"] > span').click();\ncy.get('[data-testid=\"my-agency-device-type-select\"] > .el-select__wrapper > .el-select__selection > .el-select__placeholder').click();\ncy.get('[data-testid=\"device-type-option-200003\"]').click();\ncy.get('[data-testid=\"my-agency-search-button\"] > span').click();\ncy.get('[data-testid=\"my-agency-reset-button\"]').click();\ncy.get(':nth-child(1) > .el-table_1_column_14 > .cell > [data-testid=\"my-agency-process-button\"]').click();\ncy.get('.el-dialog__headerbtn > .el-icon > svg').click();\ncy.get(':nth-child(1) > .el-table_1_column_14 > .cell > [data-testid=\"my-agency-dispatch-button\"]').click();\ncy.get('[data-testid=\"assign-dialog\"] > .el-dialog__header > .el-dialog__headerbtn > .el-icon > svg > path').click();\ncy.get(':nth-child(1) > .el-table_1_column_14 > .cell > [data-testid=\"my-agency-change-bag-button\"]').click();\ncy.get('[data-testid=\"bag-dialog\"] > .el-dialog__header > .el-dialog__headerbtn > .el-icon > svg').click();\ncy.get('[data-testid=\"menu-item-my-loop/myDone\"] > span').click();\ncy.get('[data-testid=\"event-name-input\"]').clear('t');\ncy.get('[data-testid=\"event-name-input\"]').type('提升阀');\ncy.get('[data-testid=\"search-button\"] > span').click();\ncy.get('[data-testid=\"reset-button\"] > span').click();\ncy.get('[data-testid=\"location-input\"]').clear('2');\ncy.get('[data-testid=\"location-input\"]').type('2#除尘系统');\ncy.get('[data-testid=\"search-button\"]').click();\ncy.get('[data-testid=\"reset-button\"] > span').click();\ncy.get('[data-testid=\"production-line-select\"] > .el-select__wrapper > .el-select__selection > .el-select__placeholder').click();\ncy.get('[data-testid=\"production-line-option-169109\"]').click();\ncy.get('[data-testid=\"search-button\"]').click();\ncy.get('[data-testid=\"reset-button\"] > span').click();\ncy.get('[data-testid=\"device-type-select\"] > .el-select__wrapper > .el-select__selection > .el-select__placeholder').click();\ncy.get('[data-testid=\"device-type-option-200001\"] > span').click();\ncy.get('[data-testid=\"search-button\"]').click();\ncy.get('[data-testid=\"device-type-select\"] > .el-select__wrapper > .el-select__selection > .el-select__placeholder').click();\ncy.get('[data-testid=\"device-type-option-200002\"]').click();\ncy.get('[data-testid=\"search-button\"] > span').click();\ncy.get('[data-testid=\"device-type-select\"] > .el-select__wrapper > .el-select__selection > .el-select__placeholder').click();\ncy.get('[data-testid=\"device-type-option-200003\"]').click();\ncy.get('[data-testid=\"search-button\"] > span').click();\ncy.get('[data-testid=\"reset-button\"]').click();\n/* ==== End Cypress Studio ==== */",
              "err": {},
              "uuid": "74f30247-9081-4780-b48a-cc8e14aa2f72",
              "parentUUID": "1e49c589-4043-40ee-94b1-76a29300881d",
              "isHook": false,
              "skipped": false
            }
          ],
          "suites": [],
          "passes": [
            "74f30247-9081-4780-b48a-cc8e14aa2f72"
          ],
          "failures": [],
          "pending": [],
          "skipped": [],
          "duration": 16346,
          "root": false,
          "rootEmpty": false,
          "_timeout": 2000
        }
      ],
      "passes": [],
      "failures": [],
      "pending": [],
      "skipped": [],
      "duration": 0,
      "root": true,
      "rootEmpty": true,
      "_timeout": 2000
    }
  ],
  "meta": {
    "mocha": {
      "version": "7.0.1"
    },
    "mochawesome": {
      "options": {
        "quiet": false,
        "reportFilename": "mochawesome",
        "saveHtml": true,
        "saveJson": true,
        "consoleReporter": "spec",
        "useInlineDiffs": false,
        "code": true
      },
      "version": "7.1.3"
    },
    "marge": {
      "options": {
        "reportDir": "cypress/reports",
        "overwrite": false,
        "html": true,
        "json": true,
        "timestamp": "mmddyyyy_HHMMss",
        "reportTitle": "Development Tests",
        "reportPageTitle": "开发环境测试报告"
      },
      "version": "6.2.0"
    }
  }
}